download:start

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
download:start [2020/02/10 15:28]
paffenholz [MacOS]
download:start [2020/09/18 09:11] (current)
lkastner Bump version to 4.2
Line 15: Line 15:
 The online version runs as a "shell in a box" in your browser. No installation needed! \\ Examples of ''​polymake''​ code are available on the [[user_guide:​start|tutorial page]]. Notice that the online version comes with a few restrictions (including missing visualization) compared to the complete version. The online version runs as a "shell in a box" in your browser. No installation needed! \\ Examples of ''​polymake''​ code are available on the [[user_guide:​start|tutorial page]]. Notice that the online version comes with a few restrictions (including missing visualization) compared to the complete version.
  
-===== Get latest stable release: 4.===== +===== Get latest stable release: 4.===== 
-Stable versions are released on a regular basis and offer the complete functionality of ''​polymake''​ available at the point of release. You can read about new features in the release notes [[:news/release_4_0|here]].+Stable versions are released on a regular basis and offer the complete functionality of ''​polymake''​ available at the point of release. You can read about new features in the release notes [[:news/release_4_2|here]].
  
 ==== Linux, FreeBSD, Solaris, or other UNIX systems ==== ==== Linux, FreeBSD, Solaris, or other UNIX systems ====
    * Read the [[install:​install|Installation instructions]]    * Read the [[install:​install|Installation instructions]]
-   * Download the {{:​download:​polymake-4.0.tar.bz2|source tarball}}+   * Download the {{:​download:​polymake-4.2.tar.bz2|source tarball}}
  
 === Minimal version === === Minimal version ===
 The minimal version is a packager friendly version which omits the bundled sources of ''​cdd'',​ ''​lrs'',​ ''​libnormaliz'',​ ''​nauty''​ and ''​jReality''​. The minimal version is a packager friendly version which omits the bundled sources of ''​cdd'',​ ''​lrs'',​ ''​libnormaliz'',​ ''​nauty''​ and ''​jReality''​.
-   * Download the {{:​download:​polymake-4.0-minimal.tar.bz2|minimal source tarball}}+   * Download the {{:​download:​polymake-4.2-minimal.tar.bz2|minimal source tarball}}
  
 ==== MacOS ==== ==== MacOS ====
-   * Read the [[install:macos|Installation instructions]] on how to compile ​the current version of polymake ​yourself+ 
-   ​* **Bundles for the current version** of ''​polymake''​ on MacOS 10.1110.12, 10.13 and 10.15 **are in preparation**! +=== Binary Releases === 
-   ​* ​Download ​the bundle for an older version of polymake matching your MacOS version (you will need a Macbook from Fall 2013 or later and apple'​s command line tools) + 
-       ​* [[http://​www.polymake.org/​downloads/​polybundle-3.5-macos-10.14-perl-5.18.2-v5.dmg|MacOS 10.14.1 - 10.14.4 bundle (polymake version 3.5)]] +You have two options: Download one of our bundles and just drag it to /​Applications,​ or install via [[https://​github.com/​apaffenholz/​homebrew-polymake|our tap]] for [[https://​brew.sh/​|Homebrew]]. 
-       ​* [[http://​www.polymake.org/​downloads/​polybundle-macos-10.13-polymake-3.5-perl-5.18.2-v1.dmg|MacOS 10.13 bundle (polymake version ​3.5)]] + 
-       ​* [[http://​www.polymake.org/​downloads/​polybundle-macos-10.12-perl-5.18.2-v2.dmg|MacOS 10.12 bundle (polymake version ​3.4)]]  +== Homebrew == 
-       ​* [[http://​www.polymake.org/​downloads/​polybundle-macos-10.11-perl-5.18.2-v2.dmg|MacOS 10.11 bundle (polymake version ​3.4)]] + 
-       * There is currently no bundle for Mac OS 10.14.5 and MacOS 10.15.+If you have installed [[https://​brew.sh/​|Homebrew]] already (or just do it by copying ​the one line from their page), you can get polymake ​via our tap
 + 
 +<​code>​ 
 +brew tap apaffenholz/​polymake 
 +brew install polymake 
 +</​code>​ 
 +For MacOS 10.13, 10.14, and 10.15 this downloads a precompiled binary (for 10.14 you **must** have version 10.14.5 or above, so just update your OS, which you should do anyway), for other versions it downloads and compiles ​polymake ​and all dependencies. 
 + 
 +== Bundles == 
 + 
 +There are precompiled bundles for MacOS between ​10.11 and 10.15see below. Install a bundle by dragging the app to /​Applications. See [[install:​macos/​bundles#​Installing the App Bundle|here for more information]]. 
 +   * [[http://​www.polymake.org/​downloads/​polybundle-release-4.0-macos-10.15-perl-5.18.4-v1.dmg|MacOS ​10.15 bundle (polymake version 4.0)]] 
 +   ​* ​MacOS 10.14.6: One of our users successfully installed ​the bundle for MacOS 10.15. Please try! The same may be true for MacOS 10.14.5. 
 +   ​* [[http://​www.polymake.org/​downloads/​polybundle-3.5-macos-10.14-perl-5.18.2-v5.dmg|MacOS 10.14.1 - 10.14.4 bundle (polymake version 3.5)]] 
 +   ​* [[http://​www.polymake.org/​downloads/​polybundle-release-4.0-macos-10.13-perl-5.18.2-v1.dmg|MacOS 10.13 bundle (polymake version ​4.0)]] 
 +   ​* [[http://​www.polymake.org/​downloads/​polybundle-release-4.0-macos-10.12-perl-5.18.2-v1.dmg|MacOS 10.12 bundle (polymake version 4.0)]]  
 +   ​* [[http://​www.polymake.org/​downloads/​polybundle-release-4.0-macos-10.11-perl-5.18.2-v1.dmg|MacOS 10.11 bundle (polymake version ​4.0)]]
  
 You may need to manually unsandbox the bundle (as it is not officially signed by Apple). For this, run You may need to manually unsandbox the bundle (as it is not officially signed by Apple). For this, run
Line 42: Line 58:
 in a terminal (assuming you installed it to /​Applications,​ otherwise adjust the path). in a terminal (assuming you installed it to /​Applications,​ otherwise adjust the path).
  
-You can use the bundle also in a Jupyter notebook or in Julia. For more details see [[install:mac#Jupyter Notebooks with the Bundle|here for Jupyter]] and [[install:mac#Using the Bundle for Polymake.jl in Julia|here for Julia]]+You can use the bundle also in a Jupyter notebook or in Julia. For more details see [[install:macos/​bundles#Jupyter Notebooks with the Bundle|here for Jupyter]] and [[install:macos/​bundles#Using the Bundle for Polymake.jl in Julia|here for Julia]] 
 + 
 + 
 +=== Source Installation ===  
 + 
 +Read the [[install:​macos|Installation instructions]] on how to compile the current version of polymake yourself. 
 + 
 ===== Other releases ===== ===== Other releases =====
 We publish stable and tested [[perpetualbeta| perpetual beta]] versions as a way for you to use the newest features before the release. We publish stable and tested [[perpetualbeta| perpetual beta]] versions as a way for you to use the newest features before the release.
  • download/start.1581348506.txt.gz
  • Last modified: 2020/02/10 15:28
  • by paffenholz